Visual Studio (sln) runner requirements

I am trying TeamCity 5.1.3.  I have it (and the agent) installed on windows 7 pro 64bit.
I am trying to build a visual studio 2010 solution (.net 4).
I have created a configuration....
I have picked the Visual Studio (sln) Build runner.
I have picked Microsoft Visual Studio 2010.

Unfortunately, the build does not event try and start as the TeamCity says there are no compatable agents.

  • system.DotNetFramework4.0_x86 exists


What does this mean?  How do I fix it.
.net 4 is definitely installed on this box.

Thanks!

2 comments

Hello Scott,

Please attach agent log.

Kind regards,
Marina

0

My bad, .net 4 client was installed, not the full .net 4 framework.
Thanks.

0

Please sign in to leave a comment.